---
kind: pipeline
type: exec
name: default

platform:
    os: linux
    arch: amd64

steps:
- name: Setup
  commands:
    - git fetch origin --tags
    - make setup

- name: Test
  commands:
    - make test

trigger:
  event:
  - push
  - pull_request
---
kind: pipeline
type: exec
name: deploy

platform:
    os: linux
    arch: amd64

steps:
- name: Setup
  commands:
    - git fetch origin --tags
    - make setup

- name: Build Release
  commands:
    - cd debian
    - make tag
    - make build
    - make copy
    - make deploy
trigger:
  event:
  - promote
...
